Bug 188966 - Genereal SFTP badness
Genereal SFTP badness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 19:24 EDT by Kyrre Ness Sjøbæk
Modified: 2015-03-03 17:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2006-04-13 19:24:24 EDT
Description of problem:
Nautilus'es SFTP support works. At least untill you leave it alone for, say, two
minutes.

Then it starts consuming 100% cpu (single thread, does not use more than one
CPU) untill killed (altough i have seen the problem go away by itself). Also,
trying to access another folder etc. just gives a "not a registered filetype"
and a "blank paper" icon.

Another problem is that i can't set permissions trough sftp, making me have to
ssh in after transfering the files to do "chmod 755 -R *" on my www_docs folder...

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Open a sftp connection. Solaris or Linux host doesn't matter.
2. Copy a few files back and forth
3. Do something else. Just leave the nautilus window open
4. Notice your hear gets blown back by the cpu fan, and you can't hear what
people are trying to say because of the noice
5. Notice cpu is running on 100% usage
6. Notice nautilus is the culprit in "top"
7. Notice that your sftp connection hangs
8. "killall nautilus". nautilus restarts automatically. Everything is back to
normal (but sftp window and other windows in other folders closed). Get an
unwanted "home folder" window trown up at you.
  
Actual results:


Expected results:


Additional info:
I know there are several more bugs with sftp&nautilus, such as:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186462
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186496
Comment 1 John Thacker 2006-04-27 17:55:05 EDT
Can you test this with the new gnome-vfs2-2.14.1-1.fc5.2 update which 
was just released?  It has some fixes to improve sftp performance.
Comment 2 John Thacker 2006-05-23 15:09:31 EDT
Closing due to lack of response.  The other bugs mentioned in the bug report
are still open, but I can't confirm the separate bug mentioned here, if there
is one.  (The one about being unable to set permissions is more of a feature
request than a bug, and more appropriate for upstream.)
Comment 3 Kyrre Ness Sjøbæk 2006-05-30 16:01:11 EDT
Hello, sorry that i was slow to respond. It works better now, i think the thing
was this bug messing up with nautilus (making the connection hang at random -
but why should this crash nautilus and make it run on 100% cpu?):
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=180063

After replacing the network card, it works.

But i still can't change permissions on files using sftp - is this a protocol
limit, or an implementation limit?
Comment 4 Kyrre Ness Sjøbæk 2006-05-30 16:07:41 EDT
Just transfered some files over SFTP (which now worked quite well, except *all*
of nautilus was quite unresponsive during transfer, including the desktop...
This is a mere 250 kilobit upload speed...), and now nautilus is running at 100%
CPU usage. It never crashed, the files went up, and i don't think i am going to
get a mail from my uni's "idle job killer" system (if i do get it, and it seems
related to nautilus, ill say so here - it just takes 5 hours or something like
that...)

*killall nautilus*
Comment 5 Kyrre Ness Sjøbæk 2006-05-31 02:13:58 EDT
I just got a mail from the "idle job killer" - a ssh process was left running on
the host machine.
Comment 6 Kyrre Ness Sjøbæk 2006-05-31 02:15:51 EDT
Erm... ssh was supposed to be sshd. An sshd process was left running.
Comment 7 Bug Zapper 2008-04-03 22:38:13 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:47:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.